in scala.xml
class Elem

@scala.serializable
`class` Elem
  `extends` scala.xml.Node
  `with` scala.ScalaObject

  The case class `Elem` extends the `Node` class, providing an immutable data object representing an XML element.

Author:
  Burak Emir

Constructor Summary
| `def` this (prefix: java.lang.String, label: java.lang.String, attributes: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, child: scala.xml.Node*)

Val Summary
`override` | `val` attributes : scala.xml.MetaData
| `val` child : scala.xml.Node*
| `val` label : java.lang.String
`override` | `val` prefix : java.lang.String
`override` | `val` scope : scala.xml.NamespaceBinding

Def Summary
`final` | `def` % (attrs: scala.xml.MetaData) : scala.xml.Elem Returns a new element with updated attributes.
`override` | `def` hashCode : scala.Int
`override` | `def` text : java.lang.String Returns concatenation of `text(n)` for each child `n`.
`final` `override` | `def` typeTag$ : scala.Int

Def inherited from scala.xml.Node
attribute , attribute, attributes, child, descendant, descendant_or_self, equals, getNamespace, hashCode, label, nameToString, namespace, prefix, scope, text, theSeq, toString, toString, typeTag$, xmlType

Constructor Detail

`def` this (prefix: java.lang.String, label: java.lang.String, attributes: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, child: scala.xml.Node*)

Parameters:
  `prefix -` (may be null)
Parameters:
  `label -` the element name
Parameters:
  `attribute -` the attribute map
Parameters:
  `child -` the children of this node

Val Detail

`override val` attributes : scala.xml.MetaData

`val` child : scala.xml.Node*

`val` label : java.lang.String

`override val` prefix : java.lang.String

`override val` scope : scala.xml.NamespaceBinding

Def Detail

`final def` % (attrs: scala.xml.MetaData): scala.xml.Elem

  Returns a new element with updated attributes.

Parameters:
  `attrs -` ...
Returns:
  a new symbol with updated attributes

`override def` hashCode : scala.Int

`override def` text : java.lang.String

  Returns concatenation of `text(n)` for each child `n`.

`final override def` typeTag$ : scala.Int